package com.brilliance.isc.common.limmod.vo;

import com.brilliance.isc.bo.Lim;
import com.brilliance.isc.bo.Limtrn;
import com.brilliance.isc.common.liaall.vo.LiaallVo;
import com.brilliance.isc.common.liaccv.vo.LiaccvVo;
import com.brilliance.isc.common.transaction.vo.TrnInfo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.ErrorVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LimSimpleVo extends AbstractCommonVo {

    private LimQueryVo limQueryVo;

    private LimPreCalVo limPreCalVo;
    /**
     * 额度主体信息
     */
    private LimptsVo limpts;
    /**
     * 业务编号
     */
    private String ownref;
    /**
     * 业务余额
     */
    private BigDecimal comamt;
    /**
     * 保证金余额
     */
    private BigDecimal ccvamt;

    public void reset() {
        if (limpts == null) {
            limpts = new LimptsVo();
        }
        limpts.reset();

        if (limPreCalVo == null) {
            limPreCalVo = new LimPreCalVo();
        }
        limPreCalVo.reset();
        if (limQueryVo == null) {
            limQueryVo = new LimQueryVo();
        }
        limQueryVo.reset();
    }

}
